Package com.ocient.jdbc.proto

## Class PlanProtocol.StatsRequestInfo.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.StatsRequestInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.StatsRequestInfoOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.StatsRequestInfo

    public static final class PlanProtocol.StatsRequestInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>
    implements PlanProtocol.StatsRequestInfoOrBuilder

    Info used for stats requests

Protobuf type `xg.db.sqlPlans.StatsRequestInfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.StatsRequestInfo.Builder` `addAllStatsTablesInfo​(Iterable<? extends PlanProtocol.StatsTableInfo> values)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.StatsRequestInfo.Builder` `addStatsTablesInfo​(int index, PlanProtocol.StatsTableInfo value)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `addStatsTablesInfo​(int index, PlanProtocol.StatsTableInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `addStatsTablesInfo​(PlanProtocol.StatsTableInfo value)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `addStatsTablesInfo​(PlanProtocol.StatsTableInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsTableInfo.Builder` `addStatsTablesInfoBuilder()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsTableInfo.Builder` `addStatsTablesInfoBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo` `build()`
`PlanProtocol.StatsRequestInfo` `buildPartial()`
`PlanProtocol.StatsRequestInfo.Builder` `clear()`
`PlanProtocol.StatsRequestInfo.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.StatsRequestInfo.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.StatsRequestInfo.Builder` `clearStatsTablesInfo()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `clone()`
`PlanProtocol.StatsRequestInfo` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`PlanProtocol.StatsTableInfo` `getStatsTablesInfo​(int index)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsTableInfo.Builder` `getStatsTablesInfoBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`List<PlanProtocol.StatsTableInfo.Builder>` `getStatsTablesInfoBuilderList()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`int` `getStatsTablesInfoCount()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`List<PlanProtocol.StatsTableInfo>` `getStatsTablesInfoList()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsTableInfoOrBuilder` `getStatsTablesInfoOrBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`List<? extends PlanProtocol.StatsTableInfoOrBuilder>` `getStatsTablesInfoOrBuilderList()` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.StatsRequestInfo.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.StatsRequestInfo.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.StatsRequestInfo.Builder` `mergeFrom​(PlanProtocol.StatsRequestInfo other)`
`PlanProtocol.StatsRequestInfo.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.StatsRequestInfo.Builder` `removeStatsTablesInfo​(int index)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.StatsRequestInfo.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.StatsRequestInfo.Builder` `setStatsTablesInfo​(int index, PlanProtocol.StatsTableInfo value)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `setStatsTablesInfo​(int index, PlanProtocol.StatsTableInfo.Builder builderForValue)` `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsRequestInfo.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### clear

    public PlanProtocol.StatsRequestInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.StatsRequestInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.StatsRequestInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.StatsRequestInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.StatsRequestInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### setField

    public PlanProtocol.StatsRequestInfo.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### clearField

    public PlanProtocol.StatsRequestInfo.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### clearOneof

    public PlanProtocol.StatsRequestInfo.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### setRepeatedField

    public PlanProtocol.StatsRequestInfo.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### addRepeatedField

    public PlanProtocol.StatsRequestInfo.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsRequestInfo.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsRequestInfo.Builder mergeFrom​(PlanProtocol.StatsRequestInfo other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### mergeFrom

    public PlanProtocol.StatsRequestInfo.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.StatsRequestInfo.Builder>`
Throws:
  `IOException`

#### getStatsTablesInfoList

    public List<PlanProtocol.StatsTableInfo> getStatsTablesInfoList()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

Specified by:
  `getStatsTablesInfoList` in interface `PlanProtocol.StatsRequestInfoOrBuilder`

#### getStatsTablesInfoCount

    public int getStatsTablesInfoCount()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

Specified by:
  `getStatsTablesInfoCount` in interface `PlanProtocol.StatsRequestInfoOrBuilder`

#### getStatsTablesInfo

    public PlanProtocol.StatsTableInfo getStatsTablesInfo​(int index)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

Specified by:
  `getStatsTablesInfo` in interface `PlanProtocol.StatsRequestInfoOrBuilder`

#### setStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder setStatsTablesInfo​(int index,
                                                                    PlanProtocol.StatsTableInfo value)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### setStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder setStatsTablesInfo​(int index,
                                                                    PlanProtocol.StatsTableInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder addStatsTablesInfo​(PlanProtocol.StatsTableInfo value)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder addStatsTablesInfo​(int index,
                                                                    PlanProtocol.StatsTableInfo value)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder addStatsTablesInfo​(PlanProtocol.StatsTableInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder addStatsTablesInfo​(int index,
                                                                    PlanProtocol.StatsTableInfo.Builder builderForValue)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addAllStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder addAllStatsTablesInfo​(Iterable<? extends PlanProtocol.StatsTableInfo> values)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### clearStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder clearStatsTablesInfo()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### removeStatsTablesInfo

    public PlanProtocol.StatsRequestInfo.Builder removeStatsTablesInfo​(int index)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### getStatsTablesInfoBuilder

    public PlanProtocol.StatsTableInfo.Builder getStatsTablesInfoBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### getStatsTablesInfoOrBuilder

    public PlanProtocol.StatsTableInfoOrBuilder getStatsTablesInfoOrBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

Specified by:
  `getStatsTablesInfoOrBuilder` in interface `PlanProtocol.StatsRequestInfoOrBuilder`

#### getStatsTablesInfoOrBuilderList

    public List<? extends PlanProtocol.StatsTableInfoOrBuilder> getStatsTablesInfoOrBuilderList()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

Specified by:
  `getStatsTablesInfoOrBuilderList` in interface `PlanProtocol.StatsRequestInfoOrBuilder`

#### addStatsTablesInfoBuilder

    public PlanProtocol.StatsTableInfo.Builder addStatsTablesInfoBuilder()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### addStatsTablesInfoBuilder

    public PlanProtocol.StatsTableInfo.Builder addStatsTablesInfoBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### getStatsTablesInfoBuilderList

    public List<PlanProtocol.StatsTableInfo.Builder> getStatsTablesInfoBuilderList()

`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

#### setUnknownFields

    public final PlanProtocol.StatsRequestInfo.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.StatsRequestInfo.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.StatsRequestInfo.Builder>`